%global bundle org.apache.oltu.parent
Name:          oltu-parent
Version:       2
Release:       1%{?dist}
Summary:       Apache Oltu - Parent POM
License:       ASL 2.0
URL:           https://oltu.apache.org/
Source0:       http://www.apache.org/dist/oltu/org.apache.oltu.parent/%{bundle}-%{version}-source-release.zip

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
%if %{?fedora} > 20
BuildRequires: mvn(org.apache:apache:pom:)
%else
BuildRequires: mvn(org.apache:apache)
%endif
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-jar-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-surefire-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)

BuildArch:     noarch

%description
Apache Oltu is an OAuth protocol implementation in Java.

This package provides Apache Oltu - Parent POM.

%prep
%setup -q -n %{bundle}-%{version}

%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId = 'log4j']/pom:version" 1.2.17

%pom_remove_plugin org.apache.maven.plugins:maven-doap-plugin

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%changelog
* Tue Mar 17 2015 gil cattaneo <puntogil@libero.it> 2-1
- initial rpm
